Bug 1491792 - update eclipse-mylyn to 3.23.1.v20170623-0008
Summary: update eclipse-mylyn to 3.23.1.v20170623-0008
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-mylyn
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-14 17:01 UTC by Nick Boldt
Modified: 2017-10-10 21:22 UTC (History)
7 users (show)

Fixed In Version: eclipse-mylyn-3.23.1-6.fc27 eclipse-mylyn-3.23.1-6.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-05 21:02:52 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Eclipse Project 522381 0 None None None 2017-09-15 18:34:05 UTC
Red Hat Issue Tracker JBDS-4566 0 Major Closed update to latest mylyn docs 3.0.18 to match RPM versions 2017-10-13 11:16:45 UTC

Description Nick Boldt 2017-09-14 17:01:11 UTC
Description of problem:

Devstudio 11.1.0.AM2 now includes Oxygen.1 bits but rh-eclipse47 still contains Mylyn from Oxygen.0, and the latest in Koji is 3.23.0:

https://koji.fedoraproject.org/koji/packageinfo?packageID=4918

So, we need to update to the latest.

See also https://issues.jboss.org/browse/JBDS-4548

Comment 2 Nick Boldt 2017-09-27 22:10:06 UTC
Latest build in koji now shows 3.21.1 version of jars:

#➔ rpm -qpl eclipse-mylyn-*3.23.1-6.fc27* | grep jar | egrep "org.eclipse.mylyn.tasks|org.eclipse.mylyn.bugzilla" | grep -v source | grep 3.23.1 | sort
/usr/share/eclipse/droplets/mylyn/eclipse/plugins/org.eclipse.mylyn.tasks.activity.core_3.23.1.v20170927-1022.jar
/usr/share/eclipse/droplets/mylyn/eclipse/plugins/org.eclipse.mylyn.tasks.activity.ui_3.23.1.v20170927-1022.jar
/usr/share/eclipse/droplets/mylyn/eclipse/plugins/org.eclipse.mylyn.tasks.bugs_3.23.1.v20170927-1022.jar
/usr/share/eclipse/droplets/mylyn/eclipse/plugins/org.eclipse.mylyn.tasks.core_3.23.1.v20170927-1022.jar
/usr/share/eclipse/droplets/mylyn/eclipse/plugins/org.eclipse.mylyn.tasks.index.core_3.23.1.v20170927-1022.jar
/usr/share/eclipse/droplets/mylyn/eclipse/plugins/org.eclipse.mylyn.tasks.index.ui_3.23.1.v20170927-1022.jar
/usr/share/eclipse/droplets/mylyn/eclipse/plugins/org.eclipse.mylyn.tasks.search_3.23.1.v20170927-1022.jar
/usr/share/eclipse/droplets/mylyn/eclipse/plugins/org.eclipse.mylyn.tasks.ui_3.23.1.v20170927-1022.jar

/usr/share/eclipse/droplets/mylyn-tasks-bugzilla/eclipse/plugins/org.eclipse.mylyn.bugzilla.core_3.23.1.v20170927-1022.jar
/usr/share/eclipse/droplets/mylyn-tasks-bugzilla/eclipse/plugins/org.eclipse.mylyn.bugzilla.ui_3.23.1.v20170927-1022.jar

/usr/share/java/mylyn-tests/eclipse/plugins/org.eclipse.mylyn.bugzilla.tests_3.23.1.v20170927-1022.jar
/usr/share/java/mylyn-tests/eclipse/plugins/org.eclipse.mylyn.tasks.activity.tests_3.23.1.v20170927-1022.jar
/usr/share/java/mylyn-tests/eclipse/plugins/org.eclipse.mylyn.tasks.core.tests_3.23.1.v20170927-1022.jar
/usr/share/java/mylyn-tests/eclipse/plugins/org.eclipse.mylyn.tasks.index.tests_3.23.1.v20170927-1022.jar
/usr/share/java/mylyn-tests/eclipse/plugins/org.eclipse.mylyn.tasks.tests_3.23.1.v20170927-1022.jar
/usr/share/java/mylyn-tests/eclipse/plugins/org.eclipse.mylyn.tasks.ui.tests_3.23.1.v20170927-1022.jar

So... I think we're good here. 

Meanwhile I've updated devstudio to include mylyn docs 3.0.18 in https://issues.jboss.org/browse/JBDS-4566

Comment 3 Fedora Update System 2017-09-29 15:34:44 UTC
eclipse-mylyn-3.23.1-6.fc26 eclipse-cdt-9.3.2-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-674d872ce6

Comment 4 Fedora Update System 2017-09-29 15:34:54 UTC
eclipse-mylyn-3.23.1-6.fc27 eclipse-cdt-9.3.2-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0059b34f29

Comment 5 Fedora Update System 2017-10-01 23:54:31 UTC
eclipse-cdt-9.3.2-2.fc26, eclipse-mylyn-3.23.1-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-674d872ce6

Comment 6 Fedora Update System 2017-10-02 00:55:00 UTC
eclipse-cdt-9.3.2-2.fc27, eclipse-mylyn-3.23.1-6.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0059b34f29

Comment 7 Fedora Update System 2017-10-05 21:02:52 UTC
eclipse-cdt-9.3.2-2.fc27, eclipse-mylyn-3.23.1-6.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-10-10 21:22:09 UTC
eclipse-cdt-9.3.2-2.fc26, eclipse-mylyn-3.23.1-6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.